﻿using System;
using System.IO;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace SaveImageToDB_EF
{
    
        public class ShowImage : IHttpHandler
        {

            public void ProcessRequest(HttpContext context)
            {

                Int32 UserID;
                if (context.Request.QueryString["id"] != null)
                    UserID = Convert.ToInt32(context.Request.QueryString["id"]);
                else
                    throw new ArgumentException("No parameter specified");

                context.Response.ContentType = "image/png";
                Stream strm = ShowUserImage(UserID);
                byte[] buffer = new byte[4096];
                int byteSeq = strm.Read(buffer, 0, 4096);

                while (byteSeq > 0)
                {
                    context.Response.OutputStream.Write(buffer, 0, byteSeq);
                    byteSeq = strm.Read(buffer, 0, 4096);
                }
                // context.Response.BinaryWrite(buffer);
            }

            public Stream ShowUserImage(int UserID)
            {

                List<int> lst = new List<int>();
                
                db2Entities1 db = new db2Entities1();
                UsersInfo u  = db.UsersInfoes.Where(s => s.UserId == UserID).FirstOrDefault();
                
                
                


                try
                {
                    return new MemoryStream(u.photo);
                }
                catch
                {
                    return null;
                }

            }




            public bool IsReusable
            {
                get
                {
                    return false;
                }
            }
        }
    
}
